<?php
###########################
#Скрипт: Топ-Рейтинг	  #
#Автор: SL_NeKrOmAnT      #
#Версия: 1.2.2(Free)      #
#ICQ: 313886              #
#MAIL: maloy_s95@mail.ru  #
###########################
define('NTOP', 1);
require_once('system/connect.php');
require_once('system/core.php');
require_once('system/function.php');
if(!$id OR $id < 1)
	{
		exit('Не верно введен ID');
	}
$isset = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `status` != '0' AND `id` = '".$id."'");
if(mysql_num_rows($isset) == 0)
	{
		exit('Нет такого сайта!');
	}
	$page = ceil(mysql_result(mysql_query("SELECT COUNT(*) FROM `".$prefix."sait` WHERE `status` = '1' AND `hosts` > '0' AND `id` = '".$id."'"), 0) / $page_top);
	$sait = mysql_fetch_array($isset);
	mysql_query("INSERT INTO `".$prefix."go` SET `id_sait` = '".$id."', `type` = 'in', `time` = '".time()."'");
	mysql_query("UPDATE `".$prefix."sait` SET `in` = (`in` + 1), `all_in` = (`all_in` + 1) WHERE `id` = '".$id."'");
	header('Location: http://'.$set['home'].'/index.php?page='.$page);
?>
